%global packname RInside

Name:		R-%{packname}
Version:	0.2.18
Release:	%mkrel 2
Summary:	C++ Classes to Embed R in C++ (and C) Applications
Group:          Sciences/Mathematics

License:	GPLv2+
URL:		https://cran.r-project.org/package=%{packname}
Source0:	%{url}&version=%{version}#/%{packname}_%{version}.tar.gz
#		Adapt RInsideLdFlags function to Fedora packaging (no static
#		library, shared library moved to default library path)
Patch0:		%{name}-LdFlags.patch

BuildRequires:	R-base
BuildRequires:	R-rpm-macros
BuildRequires:  R-Rcpp-devel
# required for check
BuildRequires:  texlive-dist

%description
The RInside packages makes it easier to have "R inside" your C++
application by providing a C++ wrapper class providing the R
interpreter.

%package devel
Summary:	RInside Development Files
Requires:	%{name} = %{version}-%{release}
Requires:	R-base

%description devel
Header files for RInside.

%package examples
Summary:	RInside Examples
Requires:	%{name} = %{version}-%{release}

%description examples
Numerous examples are provided in the nine sub-directories of the
examples directory of the installed package: standard, mpi (for
parallel computing), qt (showing how to embed RInside inside a Qt GUI
application), wt (showing how to build a "web-application" using the
Wt toolkit), armadillo (for RInside use with RcppArmadillo), eigen
(for RInside use with RcppEigen) and 'c_interface' for a basic C
interface and 'Ruby' illustration.

%prep
%setup -q -c
%autopatch -p0

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l %{buildroot}%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
rm -rf %{packname}/inst/lib

rm %{buildroot}%{_libdir}/R/library/%{packname}/lib/lib%{packname}.a
mv %{buildroot}%{_libdir}/R/library/%{packname}/lib/lib%{packname}.so \
   %{buildroot}%{_libdir}
rmdir %{buildroot}%{_libdir}/R/library/%{packname}/lib

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/NEWS.Rd
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/html
%{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/lib%{packname}.so

%files devel
%{_libdir}/R/library/%{packname}/include

%files examples
%{_libdir}/R/library/%{packname}/examples


%changelog
* Tue Aug 27 2024 papoteur <papoteur> 0.2.18-2.mga10
+ Revision: 2091750
- rebuild for R-base 4.4.1

* Sun Aug 25 2024 neoclust <neoclust> 0.2.18-1.mga10
+ Revision: 2091084
- New version 0.2.18

* Tue Aug 09 2022 neoclust <neoclust> 0.2.17-1.mga9
+ Revision: 1876387
- New version 0..2.17

* Sat Apr 02 2022 umeabot <umeabot> 0.2.16-3.mga9
+ Revision: 1840848
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 joequant <joequant> 0.2.16-2.mga8
+ Revision: 1647030
- rebuild with R 4.0.3

* Fri May 01 2020 joequant <joequant> 0.2.16-1.mga8
+ Revision: 1577404
- fix dist
- add texlive
- fix deps
- add Rcpp dep
- imported package R-RInside

